function ampl(tol1)
 if(nargin<1)
  tol1=-30;
 end
 load phase.dat
 f0=f;
 mx=max(max(f0));
 f0=f0/mx;
 f0=20*log10(f0);
 imagesc(f0);
 axis('square');
 colorbar;
 grid minor on;
 colormap('jet');
 caxis([tol1 0]);
end